Bug 799120 - Repo filter is preventing filtered packages from being synced to filesystem but repo metadata adds all packages to db
Repo filter is preventing filtered packages from being synced to filesystem b...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 34
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks: 800198
  Show dependency treegraph
 
Reported: 2012-03-01 15:00 EST by Sayli Karmarkar
Modified: 2015-03-22 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 800198 (view as bug list)
Environment:
Last Closed: 2012-05-25 10:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2012-03-01 15:00:09 EST
Description of problem:

[skarmark@sunflower pulp]$ sudo pulp-admin repo clone --id pulp --clone_id pulp-clone -f pulp-filter  -F
Repository [pulp] is being cloned as [pulp-clone]
Clone: Finished
Item Details: 
RPMs: 15/21


[skarmark@sunflower pulp]$ sudo pulp-admin repo sync --id pulp-clone -F
Sync for repository pulp-clone started
Sync: Finished
0/21 new items downloaded
21/21 existing items processed

Item Details: 
RPMs: 15/21


Notice 21/21 existing items processed vs RPMs: 15/21.
Comment 1 Sayli Karmarkar 2012-03-08 16:08:33 EST
commit 74124721dd2173d900d1daf2beff2a1f805ad551
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Thu Mar 8 12:33:00 2012 -0800

    799120 - Added package filtering at package import stage as well as it is processing packages from source dir and not destination dir

$ sudo pulp-admin repo clone --id pulp-áb --clone_id pulp-áb-clone -f test-filter -F
Repository [pulp-áb] is being cloned as [pulp-áb-clone]
Clone: Finished
Item Details: 
RPMs: 13/20

$ sudo pulp-admin repo sync --id pulp-áb-clone -F
Sync for repository pulp-áb-clone started
Sync: Finished
0/20 new items downloaded
20/20 existing items processed

Item Details: 
RPMs: 13/20
Comment 2 Jeff Ortel 2012-03-09 20:32:40 EST
build: 0.273
Comment 3 Jeff Ortel 2012-03-14 09:39:37 EDT
build: 1.0.0-5
Comment 4 Sayli Karmarkar 2012-03-14 12:03:55 EDT
Sorry for confusing description of the bug. The bug is not really in "21/21 existing items processed". It should be processing all the items. The problem was that it was saying it synced RPMs: 15/21 after applying filter but if we check in repo content it was showing all 21 packages, which should not happen after the bug fix.
Comment 5 Preethi Thomas 2012-03-14 12:06:52 EDT
[root@pulp-v1-server ~]# rpm -q pulp
pulp-1.0.0-5.el6.noarch


[root@pulp-v1-server ~]# pulp-admin filter add_package --id blacklist -p pulp*
Successfully added packages to filter [ blacklist ]

[root@pulp-v1-server ~]# 
[root@pulp-v1-server ~]# 
[root@pulp-v1-server ~]# 
[root@pulp-v1-server ~]# pulp-admin -u admin -p admin repo clone --id=pulp --clone_id=pulp-clone --feed=parent -f blacklist -F
Repository [pulp] is being cloned as [pulp-clone]
Clone: Finished
Item Details: 
RPMs: 14/21

[root@pulp-v1-server ~]#  pulp-admin repo sync --id pulp-clone -F
Sync for repository pulp-clone started
Sync: Finished
0/21 new items downloaded
21/21 existing items processed

Item Details: 
RPMs: 14/21

[root@pulp-v1-server ~]# pulp-admin content list pulp-clone
error:  --orphaned or --repoid is required to list packages
[root@pulp-v1-server ~]# pulp-admin content list --repoid  pulp-clone
python-okaara-1.0.11-1.el6.noarch.rpm,f88dba641239aff09d0cab9076cfb44418e91d188c4e16c7ddbf9110f1443cad
m2crypto-0.21.1.pulp-7.el6.x86_64.rpm,bef29f29b7b14838d67971ad60bb619acb179a6856e27a2f55eaaa2cca4c8257
python-gofer-0.66-1.el6.noarch.rpm,4da2798d174e0a62ca6f5bef7528f2ca7fd026f318e06f932d0cc8c8fc0451ea
python-webpy-0.32-8.el6.noarch.rpm,35fcd41292861f1d890ff5825d9313e08257a9d89ec0f13e51c5e2acb42abcae
mod_wsgi-3.3-3.pulp.el6.x86_64.rpm,f13b0d912f3b2ce9e4609828a95dca815c189f5e03e4a8a7f02593e23d52cb66
python-isodate-0.4.4-4.pulp.el6.noarch.rpm,a6a69f96902f7146e65ee1f05a0b40a3a7016f52f067060c8030c77f026a5f39
python-oauth2-1.5.170-2.pulp.el6.noarch.rpm,90a36b014eb20bf8bf12422dd5ab65ac749db86d193acc2da83970d3d775d7c5
python-qpid-0.7.946106-1.el6.noarch.rpm,d40bb28aa26a8cf6ece0074a40e0e71f621b871e1b3d5cbe0a40b09397140a18
python-rhsm-0.96.4-1.el6.noarch.rpm,568834953659cc35774618962212693012cbf5ada7998bf9749390254aca5ce3
gofer-package-0.66-1.el6.noarch.rpm,7385d681fd5b780773d9af8159f2ab6ae86b893f8fdfe0ce478e6de7dc62c9df
grinder-0.0.139-1.el6.noarch.rpm,35c70086a1fd92f415792adb06debbdb675dfc8271cfafdabb2d8453cddfc29d
m2crypto-debuginfo-0.21.1.pulp-7.el6.x86_64.rpm,596bfc707ee3998689e6c4734ec9db155dd81745153a0a0beceb585f9652c4d4
mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm,64f306d667e0585c29e8419598541ca87febea7f23544573c97e88b28d360893
gofer-0.66-1.el6.noarch.rpm,ce51e2a96212d53a14d8f88e6e388dfdb1e5bf0cdc94006cbc6dd8d41b4ae5c3

[root@pulp-v1-server ~]# pulp-admin content list --repoid  pulp
python-okaara-1.0.11-1.el6.noarch.rpm,f88dba641239aff09d0cab9076cfb44418e91d188c4e16c7ddbf9110f1443cad
m2crypto-0.21.1.pulp-7.el6.x86_64.rpm,bef29f29b7b14838d67971ad60bb619acb179a6856e27a2f55eaaa2cca4c8257
python-gofer-0.66-1.el6.noarch.rpm,4da2798d174e0a62ca6f5bef7528f2ca7fd026f318e06f932d0cc8c8fc0451ea
python-webpy-0.32-8.el6.noarch.rpm,35fcd41292861f1d890ff5825d9313e08257a9d89ec0f13e51c5e2acb42abcae
pulp-common-1.0.0-5.el6.noarch.rpm,f266694359a9a065a096d06cf7ad4172f3fe08bfb5f3807d0a9fe6f265dfb33b
mod_wsgi-3.3-3.pulp.el6.x86_64.rpm,f13b0d912f3b2ce9e4609828a95dca815c189f5e03e4a8a7f02593e23d52cb66
pulp-1.0.0-5.el6.noarch.rpm,f71f18d75088cd7b941a97aaee9f20492b991361390808085a56b65ce093f03c
pulp-client-lib-1.0.0-5.el6.noarch.rpm,9a7a9bb9ccf2d2dacdb432414a47d4e4782c4fc59eb95f2d2905e6dedacd1f82
python-isodate-0.4.4-4.pulp.el6.noarch.rpm,a6a69f96902f7146e65ee1f05a0b40a3a7016f52f067060c8030c77f026a5f39
python-oauth2-1.5.170-2.pulp.el6.noarch.rpm,90a36b014eb20bf8bf12422dd5ab65ac749db86d193acc2da83970d3d775d7c5
python-qpid-0.7.946106-1.el6.noarch.rpm,d40bb28aa26a8cf6ece0074a40e0e71f621b871e1b3d5cbe0a40b09397140a18
python-rhsm-0.96.4-1.el6.noarch.rpm,568834953659cc35774618962212693012cbf5ada7998bf9749390254aca5ce3
pulp-admin-1.0.0-5.el6.noarch.rpm,df3c962cf760ba592dc2920a73a566e4fb32b8b79844f2a71a1ea6eb02e1a2e6
gofer-package-0.66-1.el6.noarch.rpm,7385d681fd5b780773d9af8159f2ab6ae86b893f8fdfe0ce478e6de7dc62c9df
grinder-0.0.139-1.el6.noarch.rpm,35c70086a1fd92f415792adb06debbdb675dfc8271cfafdabb2d8453cddfc29d
m2crypto-debuginfo-0.21.1.pulp-7.el6.x86_64.rpm,596bfc707ee3998689e6c4734ec9db155dd81745153a0a0beceb585f9652c4d4
pulp-consumer-1.0.0-5.el6.noarch.rpm,5d75f93225b852ecb6130954f2fbff5adb02ef7ad9a68e8396a6184b07d4dfae
pulp-selinux-server-1.0.0-5.el6.noarch.rpm,ba40a88275fa980783d9874f5f1c7ba8daa3fbcd5e06fa04937c8d2bf5c641d1
mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm,64f306d667e0585c29e8419598541ca87febea7f23544573c97e88b28d360893
gofer-0.66-1.el6.noarch.rpm,ce51e2a96212d53a14d8f88e6e388dfdb1e5bf0cdc94006cbc6dd8d41b4ae5c3
pulp-cds-1.0.0-5.el6.noarch.rpm,298a8dc5d4890b44f03207c7cc84592c9ced113104c27df87a310b76ca5de501

[root@pulp-v1-server ~]# pulp-admin repo content --id  pulp-clone
+------------------------------------------+
           Contents of pulp-clone
+------------------------------------------+

Packages in pulp-clone: 

python-okaara-1.0.11-1.el6.noarch.rpm
m2crypto-0.21.1.pulp-7.el6.x86_64.rpm
python-gofer-0.66-1.el6.noarch.rpm
python-webpy-0.32-8.el6.noarch.rpm
mod_wsgi-3.3-3.pulp.el6.x86_64.rpm
python-isodate-0.4.4-4.pulp.el6.noarch.rpm
python-oauth2-1.5.170-2.pulp.el6.noarch.rpm
python-qpid-0.7.946106-1.el6.noarch.rpm
python-rhsm-0.96.4-1.el6.noarch.rpm
gofer-package-0.66-1.el6.noarch.rpm
grinder-0.0.139-1.el6.noarch.rpm
m2crypto-debuginfo-0.21.1.pulp-7.el6.x86_64.rpm
mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm
gofer-0.66-1.el6.noarch.rpm

Errata in pulp-clone: 

 none

Files in pulp-clone: 

 none
Comment 6 Preethi Thomas 2012-05-25 10:15:40 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.